Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.maryanovsky.gwtutils.client.iphone.ui.touch
Class Touch

    java.lang.Object
      com.google.gwt.core.client.JavaScriptObject
          com.maryanovsky.gwtutils.client.iphone.ui.touch.Touch

    public class Touch

extends JavaScriptObject

Represents a single finger touching the screen.

Author:
  Maryanovsky Alexander

Constructor Summary
`protected` | `Touch()` Javascript overlay class.

Method Summary
`int` | `getClientX()` Returns the X coordinate of the touch relative to the window's viewport.
`int` | `getClientY()` Returns the Y coordinate of the touch relative to the window's viewport.
`int` | `getPageX()` Returns the X coordinate of the touch in page coordinates.
`int` | `getPageY()` Returns the Y coordinate of the touch in page coordinates.
`int` | `getScreenX()` Returns the X coordinate of the touch in screen coordinates.
`int` | `getScreenY()` Returns the Y coordinate of the touch in screen coordinates.

Methods inherited from class com.google.gwt.core.client.JavaScriptObject
`cast, createArray, createFunction, createObject, equals, hashCode, toSource, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Touch

    protected Touch()

  Javascript overlay class.

Method Detail

### getClientX

    public final int getClientX()

  Returns the X coordinate of the touch relative to the window's viewport.

### getClientY

    public final int getClientY()

  Returns the Y coordinate of the touch relative to the window's viewport.

### getPageX

    public final int getPageX()

  Returns the X coordinate of the touch in page coordinates.

### getPageY

    public final int getPageY()

  Returns the Y coordinate of the touch in page coordinates.

### getScreenX

    public final int getScreenX()

  Returns the X coordinate of the touch in screen coordinates.

### getScreenY

    public final int getScreenY()

  Returns the Y coordinate of the touch in screen coordinates.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD